Bug 83120 - Digital PC 3000 graphics card won't configure properly
Digital PC 3000 graphics card won't configure properly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-30 09:49 EST by Torstein Meyer
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 15:02:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FRe (9.42 KB, text/plain)
2003-02-06 03:33 EST, Torstein Meyer
no flags Details
lspci (1.76 KB, text/plain)
2003-02-06 03:38 EST, Torstein Meyer
no flags Details
xfree log (9.42 KB, text/plain)
2003-02-06 03:55 EST, Torstein Meyer
no flags Details
xfree config (3.24 KB, text/plain)
2003-02-06 03:55 EST, Torstein Meyer
no flags Details

  None (edit)
Description Torstein Meyer 2003-01-30 09:49:25 EST
Description of problem:
I am not able to setup the integrated S3 Graphics adapter for XFree86 using the 
redhat configuration tools.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.export DISPLAY=:0.0
2.startx
3.
    
Actual results:
[root@torstein edbtme]# export DISPLAY=:0.0
[root@torstein edbtme]# startx


This is a pre-release version of XFree86, and is not supported in any
way.  Bugs may be reported to XFree86@XFree86.Org and patches submitted
to fixes@XFree86.Org.  Before reporting bugs in pre-release versions,
please check the latest version in the XFree86 CVS repository
(http://www.XFree86.Org/cvs)

XFree86 Version 4.2.99.2 (Red Hat Linux release: 4.2.99.2-0.20021217.0) / X 
Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 16 December 2002
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.18-11smp i686 [ELF] 
Build Host: stripples.devel.redhat.com
 
Module Loader present
OS Kernel: Linux version 2.4.20-2.2 (bhcompile@porky.devel.redhat.com) (gcc 
version 3.2.1 20021207 (Red Hat Linux 8.0 3.2.1-2)) #1 Fri Dec 20 12:03:23 EST 
2002 
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Thu Jan 30 15:25:04 2003
(==) Using config file: "/etc/X11/XF86Config"
(EE) No devices detected.

Fatal server error:
no screens found

When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.

XIO:  fatal IO error 104 (Connection reset by peer) on X server ":0.0"
      after 0 requests (0 known processed) with 0 events remaining.

Expected results:
(a wirking X-server)

Additional info:
DIGITAL PC 3000 (PC 3100 6166 K version 1.12)
S3 86C775/86C785 Trio64V2/GX Bios 1.01

[root@torstein linux-2.4]# more /proc/cpuinfo 
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 5
model           : 6
model name      : AMD-K6tm w/ multimedia extensions
stepping        : 1
cpu MHz         : 167.048
cache size      : 64 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr mce cx8 mmx
bogomips        : 333.41
[root@torstein proc]# more pci
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Intel Corp. 430TX - 82439TX MTXC (rev 1).
      Master Capable.  Latency=32.  
  Bus  0, device   7, function  0:
    ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 1).
  Bus  0, device   7, function  1:
    IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 1).
      Master Capable.  Latency=64.  
      I/O at 0xecd0 [0xecdf].
  Bus  0, device   7, function  2:
    USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 1).
      IRQ 9.
      Master Capable.  Latency=64.  
      I/O at 0xece0 [0xecff].
  Bus  0, device   7, function  3:
    Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 1).
      IRQ 9.
  Bus  0, device   9, function  0:
    VGA compatible controller: S3 Inc. 86c775/86c785 [Trio 64V2/DX or /GX] (rev 
22).
      IRQ 9.
      Non-prefetchable 32 bit memory at 0xf8000000 [0xfbffffff].

XF86Config:
.....
Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Compaq V710 Color Monitor"
        DisplaySize  320        240
        HorizSync    30.0 - 85.0
        VertRefresh  50.0 - 160.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "s3"
        VendorName  "Videocard vendor"
        BoardName   "S3 Trio64V2 (generic)"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     16
        SubSection "Display"
                Modes    "800x600"
        EndSubSection
        SubSection "Display"
                Depth     16
                Modes    "800x600" "640x480"
        EndSubSection
EndSection
.....
Comment 1 Mike A. Harris 2003-01-30 21:35:07 EST
Please use bugzilla's file attachment feature to attach your complete
XFree86 log and config file as individual attachments.  text/plain

Also provide the output of:  lspci -vvn

Thanks in advance.
Comment 2 Torstein Meyer 2003-02-06 03:33:02 EST
Created attachment 89882 [details]
FRe
Comment 3 Torstein Meyer 2003-02-06 03:38:06 EST
Created attachment 89883 [details]
lspci
Comment 4 Torstein Meyer 2003-02-06 03:55:09 EST
Created attachment 89885 [details]
xfree log
Comment 5 Torstein Meyer 2003-02-06 03:55:34 EST
Created attachment 89886 [details]
xfree config
Comment 6 Mike A. Harris 2003-02-17 09:53:52 EST
This specific chip is currently not supported in XFree86 sources, however
I might be able to add support perhaps.
Comment 7 Mike A. Harris 2003-02-17 10:31:45 EST
Do you know what RAMDAC this card has on it?  The S3 hardware can have
any of a number of different RAMDAC chips on them, and XFree86 only has
support for some of them.  I'm trying to add support for the 8903, but need
this info.

You might have to look at the actual chips themselves right on the card,
and write down the part numbers and add them to bugzilla.  That would be
a big help.

Also, did this card ever work before, perhaps in Red Hat Linux 7.0/1/2/3?
If you've got an XFree86 log file from RHL 7.x around using the 3.3.6 X
server, that would provide a pile of useful info to me as well.

Thanks in advance.
Comment 8 Torstein Meyer 2003-02-18 06:19:51 EST
S3 chip:

S3Trio64V2/GX
Q5E3EE
86C785
9736 87X60
TAIWAN
Comment 9 Mike A. Harris 2004-09-24 15:02:34 EDT
Please upgrade to Fedora Core 2 or later, and if this issue turns
out to still be reproduceable, please file a bug report in the
X.Org bugzilla located at http://bugs.freedesktop.org in the
"xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.